Index: src/sas/qtgui/MainWindow/GuiManager.py
===================================================================
--- src/sas/qtgui/MainWindow/GuiManager.py	(revision f0bb71111cd83022768469968b3891e8656d0417)
+++ src/sas/qtgui/MainWindow/GuiManager.py	(revision 6cbf8a546ab6300ef57ec41531f017182b1da8d6)
@@ -654,4 +654,5 @@
         """
         """
+        self._current_perspective = self.perspectiveChanged("PrInversion")
         print("actionInvariant TRIGGERED")
         pass
Index: src/sas/qtgui/Perspectives/PrInversion/PrInversionPerspective.py
===================================================================
--- src/sas/qtgui/Perspectives/PrInversion/PrInversionPerspective.py	(revision 6cbf8a546ab6300ef57ec41531f017182b1da8d6)
+++ src/sas/qtgui/Perspectives/PrInversion/PrInversionPerspective.py	(revision 6cbf8a546ab6300ef57ec41531f017182b1da8d6)
@@ -0,0 +1,29 @@
+from PyQt4 import QtGui
+
+# sas-global
+from sas.sascalc.invariant import invariant
+from sas.qtgui.Plotting.PlotterData import Data1D
+import sas.qtgui.Utilities.GuiUtils as GuiUtils
+
+# pr inversion gui elements
+from sas.qtgui.Perspectives.PrInversion.UI.TabbedPrInversionUI import Ui_PrInversion
+
+class PrInversionWindow(QtGui.QTabWidget, Ui_PrInversion):
+    """
+    """
+
+    name = "PrInversion"
+
+    def __init__(self, parent=None, data=None):
+        super(PrInversionWindow, self).__init__()
+        self.setupUi(self)
+
+        self.setWindowTitle("P(r) Inversion Perspective")
+
+        self.parent = parent
+        self._data = data
+
+        # The tabs need to be closeable
+        self._allow_close = False
+
+        self.communicate = self.parent.communicator()
Index: src/sas/qtgui/Perspectives/PrInversion/UI/TabbedPrInversionUI.ui
===================================================================
--- src/sas/qtgui/Perspectives/PrInversion/UI/TabbedPrInversionUI.ui	(revision 6cbf8a546ab6300ef57ec41531f017182b1da8d6)
+++ src/sas/qtgui/Perspectives/PrInversion/UI/TabbedPrInversionUI.ui	(revision 6cbf8a546ab6300ef57ec41531f017182b1da8d6)
@@ -0,0 +1,195 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
+ <class>PrInversion</class>
+ <widget class="QDialog" name="PrInversion">
+  <property name="geometry">
+   <rect>
+    <x>0</x>
+    <y>0</y>
+    <width>588</width>
+    <height>470</height>
+   </rect>
+  </property>
+  <property name="windowTitle">
+   <string>P(r) Inversion</string>
+  </property>
+  <property name="windowIcon">
+   <iconset>
+    <normaloff>../../../UI/res/ball.ico</normaloff>../../../UI/res/ball.ico</iconset>
+  </property>
+  <widget class="QTabWidget" name="tabWidget">
+   <property name="geometry">
+    <rect>
+     <x>10</x>
+     <y>10</y>
+     <width>565</width>
+     <height>411</height>
+    </rect>
+   </property>
+   <property name="currentIndex">
+    <number>0</number>
+   </property>
+   <widget class="QWidget" name="tabMain">
+    <attribute name="title">
+     <string>Invariant</string>
+    </attribute>
+    <layout class="QGridLayout" name="gridLayout_9">
+     <item row="0" column="0">
+      <widget class="QGroupBox" name="groupBox">
+       <property name="title">
+        <string>I(q) data source</string>
+       </property>
+       <layout class="QGridLayout" name="gridLayout_2">
+        <item row="0" column="0">
+         <layout class="QHBoxLayout" name="horizontalLayout_4">
+          <item>
+           <widget class="QLabel" name="label">
+            <property name="text">
+             <string>Name:</string>
+            </property>
+           </widget>
+          </item>
+          <item>
+           <widget class="QLineEdit" name="lineEdit">
+            <property name="enabled">
+             <bool>true</bool>
+            </property>
+            <property name="frame">
+             <bool>false</bool>
+            </property>
+            <property name="readOnly">
+             <bool>false</bool>
+            </property>
+           </widget>
+          </item>
+         </layout>
+        </item>
+        <item row="1" column="0">
+         <widget class="QGroupBox" name="groupBox_2">
+          <property name="title">
+           <string>Total Q range</string>
+          </property>
+          <layout class="QGridLayout" name="gridLayout">
+           <item row="0" column="0">
+            <layout class="QHBoxLayout" name="horizontalLayout">
+             <item>
+              <widget class="QLabel" name="label_3">
+               <property name="text">
+                <string>Min:</string>
+               </property>
+              </widget>
+             </item>
+             <item>
+              <widget class="QLineEdit" name="lineEdit_2">
+               <property name="enabled">
+                <bool>false</bool>
+               </property>
+              </widget>
+             </item>
+             <item>
+              <widget class="QLabel" name="label_4">
+               <property name="text">
+                <string>Max:</string>
+               </property>
+              </widget>
+             </item>
+             <item>
+              <widget class="QLineEdit" name="lineEdit_3">
+               <property name="enabled">
+                <bool>false</bool>
+               </property>
+              </widget>
+             </item>
+             <item>
+              <widget class="QLabel" name="label_2">
+               <property name="text">
+                <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
+&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+               </property>
+              </widget>
+             </item>
+            </layout>
+           </item>
+          </layout>
+         </widget>
+        </item>
+       </layout>
+      </widget>
+     </item>
+    </layout>
+   </widget>
+   <widget class="QWidget" name="tabOptions">
+    <attribute name="title">
+     <string>Options</string>
+    </attribute>
+    <layout class="QGridLayout" name="gridLayout_6"/>
+   </widget>
+   <widget class="QWidget" name="tab">
+    <attribute name="title">
+     <string>View on model</string>
+    </attribute>
+    <widget class="QTreeView" name="treeView">
+     <property name="geometry">
+      <rect>
+       <x>5</x>
+       <y>11</y>
+       <width>431</width>
+       <height>311</height>
+      </rect>
+     </property>
+    </widget>
+   </widget>
+  </widget>
+  <widget class="QWidget" name="layoutWidget">
+   <property name="geometry">
+    <rect>
+     <x>10</x>
+     <y>430</y>
+     <width>561</width>
+     <height>31</height>
+    </rect>
+   </property>
+   <layout class="QHBoxLayout" name="horizontalLayout_8">
+    <item>
+     <widget class="QPushButton" name="pushButton">
+      <property name="text">
+       <string>Calculate</string>
+      </property>
+     </widget>
+    </item>
+    <item>
+     <spacer name="horizontalSpacer">
+      <property name="orientation">
+       <enum>Qt::Horizontal</enum>
+      </property>
+      <property name="sizeHint" stdset="0">
+       <size>
+        <width>40</width>
+        <height>20</height>
+       </size>
+      </property>
+     </spacer>
+    </item>
+    <item>
+     <widget class="QPushButton" name="pushButton_2">
+      <property name="text">
+       <string>Status</string>
+      </property>
+     </widget>
+    </item>
+    <item>
+     <widget class="QPushButton" name="pushButton_3">
+      <property name="text">
+       <string>Help</string>
+      </property>
+     </widget>
+    </item>
+   </layout>
+  </widget>
+  <zorder>tabWidget</zorder>
+  <zorder>layoutWidget</zorder>
+  <zorder>horizontalSpacer</zorder>
+ </widget>
+ <resources/>
+ <connections/>
+</ui>
Index: src/sas/qtgui/Perspectives/PrInversion/UI/convert_all.bat
===================================================================
--- src/sas/qtgui/Perspectives/PrInversion/UI/convert_all.bat	(revision 6cbf8a546ab6300ef57ec41531f017182b1da8d6)
+++ src/sas/qtgui/Perspectives/PrInversion/UI/convert_all.bat	(revision 6cbf8a546ab6300ef57ec41531f017182b1da8d6)
@@ -0,0 +1,7 @@
+@echo off
+
+for %%f in (*.ui) do (
+  call pyuic4.bat %%f > %%~nf.py
+)
+
+
Index: src/sas/qtgui/Perspectives/PrInversion/UI/convert_all.sh
===================================================================
--- src/sas/qtgui/Perspectives/PrInversion/UI/convert_all.sh	(revision 6cbf8a546ab6300ef57ec41531f017182b1da8d6)
+++ src/sas/qtgui/Perspectives/PrInversion/UI/convert_all.sh	(revision 6cbf8a546ab6300ef57ec41531f017182b1da8d6)
@@ -0,0 +1,6 @@
+# UI -> PY
+for filename in *.ui; do
+  pyuic4 $filename > "`basename "$filename" .ui`.py"
+done
+
+
Index: src/sas/qtgui/Perspectives/PrInversion/UI/convert_ui.sh
===================================================================
--- src/sas/qtgui/Perspectives/PrInversion/UI/convert_ui.sh	(revision 6cbf8a546ab6300ef57ec41531f017182b1da8d6)
+++ src/sas/qtgui/Perspectives/PrInversion/UI/convert_ui.sh	(revision 6cbf8a546ab6300ef57ec41531f017182b1da8d6)
@@ -0,0 +1,1 @@
+pyuic.bat -w $1.ui > $1.py
Index: src/sas/qtgui/Perspectives/__init__.py
===================================================================
--- src/sas/qtgui/Perspectives/__init__.py	(revision 7adc2a84d2456b9691bc21cec9f25ad5a71b0aa5)
+++ src/sas/qtgui/Perspectives/__init__.py	(revision 6cbf8a546ab6300ef57ec41531f017182b1da8d6)
@@ -4,7 +4,9 @@
 from Fitting.FittingPerspective import FittingWindow
 from Invariant.InvariantPerspective import InvariantWindow
+from PrInversion.PrInversionPerspective import PrInversionWindow
 
 PERSPECTIVES = {
     FittingWindow.name: FittingWindow,
     InvariantWindow.name: InvariantWindow,
+    PrInversionWindow.name: PrInversionWindow,
 }
